clear all;
close all;
rng(1);

nnzs = 17648630;
Ngraphs = 5;
network2=[2 3 4 5 1];      
number_of_parcels=[25:25:1000];
tt=0;
true_parcels=[200];
[clustering, clustering_vector] = getModelClustering_geodesic(true_parcels,'average');
[A,Nu]=generateSynthDataFast(sparse(clustering_vector',1:length(clustering_vector),ones(1,length(clustering_vector)),max(clustering_vector),length(clustering_vector)),nnzs,Ngraphs);

for factor=[5 10 20 100]     
    tt=tt+1
    for network=1:5
        t=randperm(size(A{1},1));
        order=1:size(A{1},1);
        order(t(1:round(size(A{1},1)/factor)))=fliplr(t(1:round(size(A{1},1)/factor)));
        AA=A{network2(network)}+A{network2(network)}';
        AA=triu(AA(order,order),1);
        for mm = 1:length(number_of_parcels)     
           [clustering, clustering_vector] = getModelClustering_geodesic(number_of_parcels(mm),'average');                      
           [predL(tt,mm,network), predLL(tt,mm,network), AUC(tt,mm,network)]=evaluateParcellation(clustering_vector,A{network},AA);                                                                    
        end
    end
end

save SynthAnalysisMisalignment

%% Plot the results
load SynthAnalysisMisalignment
close all;
figure; 
subplot(1,3,1);
plot(number_of_parcels, squeeze(mean(AUC,3))');
title('AUC')
grid on;
grid minor;
subplot(1,3,2);
plot(number_of_parcels, squeeze(mean(predL,3))');
grid on;
grid minor;
title('L')
subplot(1,3,3);
plot(number_of_parcels, squeeze(mean(predLL,3))');
grid on;
grid minor;
title('LL')
legend({'20 pct. misaligned','10 pct. misaligned', '5 pct. misaligned', '1 pct. misaligned'},'location','SouthEast')

