clear all;
close all;
rng(1);

nnzs = 17648630;
Ngraphs = 5;
network2=[2 3 4 5 1];      
number_of_parcels=[25:25:1000];
tt=0;
true_parcels=200;
prior_setting(1,:)=[0.01 0.99];
prior_setting(2,:)=[0.1 9.9];
prior_setting(3,:)=[0.5 0.5];
prior_setting(4,:)=[1 1];
[clustering, clustering_vector] = getModelClustering_geodesic(true_parcels,'average');
[A,Nu]=generateSynthDataFast(sparse(clustering_vector',1:length(clustering_vector),ones(1,length(clustering_vector)),max(clustering_vector),length(clustering_vector)),nnzs,Ngraphs);
for prior=1:4
    tt=tt+1;
    for mm = 1:length(number_of_parcels)                
        [clustering, clustering_vector] = getModelClustering_geodesic(number_of_parcels(mm),'average');
        for network=1:5
            [predL(tt,mm,network), predLL(tt,mm,network), AUC(tt,mm,network)]=evaluateParcellation(clustering_vector,A{network},A{network2(network)},prior_setting(prior,:));                                                                    
        end
    end
end

save SynthAnalysisPrior;

%% Plot the results
load SynthAnalysisPrior;
close all;
figure; 
subplot(1,3,1);
plot(number_of_parcels, squeeze(mean(AUC,3))');
title('AUC')
grid on;
grid minor;
subplot(1,3,2);
plot(number_of_parcels, squeeze(mean(predL,3))');
grid on;
grid minor;
title('L')
subplot(1,3,3);
plot(number_of_parcels, squeeze(mean(predLL,3))');
grid on;
grid minor;
title('LL')
legend({'[0.01 0.99]', '[0.1 9.9]', '[0.5 0.5]', '[1 1]'},'location','SouthEast')

