clear all;
close all;
rng(1);

nnzs = 17648630;
Ngraphs = 5;
network2=[2 3 4 5 1];      
number_of_parcels=[25:25:1000];
tt=0;
for true_parcels=[100 250 500]
    tt=tt+1;
    [clustering, clustering_vector] = getModelClustering_geodesic(true_parcels,'average');
    [A,Nu]=generateSynthDataFast(sparse(clustering_vector',1:length(clustering_vector),ones(1,length(clustering_vector)),max(clustering_vector),length(clustering_vector)),nnzs,Ngraphs);

    for mm = 1:length(number_of_parcels)                
        [clustering, clustering_vector] = getModelClustering_geodesic(number_of_parcels(mm),'average');
        for network=1:5
            [predL(tt,mm,network), predLL(tt,mm,network), AUC(tt,mm,network)]=evaluateParcellation(clustering_vector,A{network},A{network2(network)});                                                                    
        end
    end
end

save SynthAnalysisResolution;

%% Plot the results
load SynthAnalysisResolution;
close all;
figure; 
subplot(1,3,1);
plot(number_of_parcels, squeeze(mean(AUC,3))');
title('AUC')
grid on;
grid minor;
subplot(1,3,2);
plot(number_of_parcels, squeeze(mean(predL,3))');
grid on;
grid minor;
title('L')
subplot(1,3,3);
plot(number_of_parcels, squeeze(mean(predLL,3))');
grid on;
grid minor;
title('LL')
legend({'100 parcels', '200 parcels', '500 parcels'},'location','SouthEast')

