function [ clustering, clustering_vector] = getModelClustering_geodesic(nocs,linkage_type)
%KO_GETMODELCLUSTERING loads the clustering from the model (function created mar 11, 2016)

% INPUT
% nocs          :   max allowed number of components: 70, 150,  100:100:1000 , 1500 or 2000
% linkage_type  : 'average', 'complete' or 'single'

% OUTPUT
% clustering    : assignment matrix (1-indexed)
%                 -1 = clustering not found
% clustering_vector : assignments (0-indexed)
%                     -1 = clustering not found

% (edited kjal, april 1 - 2016)
% (edited kmsa, june 14 - 2016)
% (edited kmsa, august 11 - 2016)
% (edited kmsa, april 10 - 2018)


datapath = strcat('geodesic_',linkage_type,'_clustering.mat');
%%
% 
% * ITEM1
% * ITEM2
% 


doesFileExists = exist(datapath,'file');
if doesFileExists == 0
    clustering = -1;
    clustering_vector = -1;
else
    data = load(datapath);
    
    clustering_vector = cluster(data.ttt,'maxclust',nocs);
    
    clustering = sparse(clustering_vector, 1:length(clustering_vector), 1);
    
end

end %end function

